%define major	1
%define libname	%mklibname shairport %major
%define devname	%mklibname shairport -d

%define snap	20120111
%define rel	4

Summary:	Apple RAOP server library
Name:		libshairport
Version:	1.2.1
Release:	%mkrel 0.git%snap.%rel
License:	MIT
Group:		System/Libraries
URL:		https://github.com/amejia1/libshairport
# git archive --prefix libshairport-20120111/ master | xz > libshairport-20120111.tar.xz
Source:		%name-%snap.tar.xz
BuildRequires:	openssl-devel
BuildRequires:	libao-devel

%description
This library emulates an AirPort Express for the purpose of streaming
music from iTunes and compatible iPods. It implements a server for the
Apple RAOP protocol.

ShairPort does not support AirPlay v2 (video and photo streaming).

%package -n %libname
Summary:	Shared library of libshairport
Group:		System/Libraries
Provides:	%name = %version-%release

%description -n %libname
libshairport is an Apple RAOP server library.

This package contains the library needed to run programs dynamically
linked with libshairport.

%package -n %devname
Summary:	Headers for libshairport development
Group:		Development/C
Requires:	%libname = %version
# we are not actually linking against it (just using the headers), so this
# doesn't get added automatically:
Requires:	libao-devel
Provides:	shairport-devel = %version-%release

%description -n %devname
libshairport is an Apple RAOP server library.

This package contains the headers that are needed to compile
applications that use libshairport.

%prep
%setup -q -n %name-%snap

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%clean
rm -rf %{buildroot}

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %devname
%doc README
%{_libdir}/*.so
%dir %{_includedir}/shairport
%{_includedir}/shairport/*.h
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-0.git20120111.4.mga4
+ Revision: 507355
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-0.git20120111.3.mga3
+ Revision: 358142
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 anssi <anssi> 1.2.1-0.git20120111.2.mga2
+ Revision: 217478
- add require on libao-devel into the devel package as the headers
  require it even though the library is not linked against it

* Sat Mar 03 2012 anssi <anssi> 1.2.1-0.git20120111.1.mga2
+ Revision: 217437
- initial Mageia package release

